PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zplghe_Tile | ( | double | bump,
|  | PLASMA_desc * | A,
|  | unsigned long long int | seed
| ) |  |

PLASMA_zplghe_Tile - Generate a random hermitian matrix by tiles. Tile equivalent of PLASMA_zplghe(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | bump | The value to add to the diagonal to be sure to have a positive definite matrix.
  [in] | A | On exit, The random hermitian matrix A generated.
  [in] | seed | The seed used in the random generation.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zplghe
  PLASMA_zplghe_Tile_Async
  PLASMA_cplghe_Tile
  PLASMA_dplghe_Tile
  PLASMA_splghe_Tile
  PLASMA_zplrnt_Tile
  PLASMA_zplgsy_Tile